Bug 27873 - Make display of patron restrictions, charges, notes, etc. consistent for check out and patron details screens
Summary: Make display of patron restrictions, charges, notes, etc. consistent for chec...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual
Depends on:
Blocks: 28073
  Show dependency treegraph
 
Reported: 2021-03-04 21:30 UTC by Barbara Johnson
Modified: 2021-07-25 20:43 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This enhancement updates the checkout and patron detail pages in the staff interface - circulation and patron-related messages are now displayed in the same way. Before this, messages on the two pages displayed in a different order and were inconsistent with each other.
Version(s) released in:
21.11.00


Attachments
Check out screen display (41.45 KB, image/png)
2021-03-04 21:30 UTC, Barbara Johnson
Details
Patron details screen display (40.60 KB, image/png)
2021-03-04 21:31 UTC, Barbara Johnson
Details
Bug 27873: Improve message consistency: checkout and patron detail pages (40.59 KB, patch)
2021-04-01 19:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27873: Improve message consistency: checkout and patron detail pages (40.58 KB, patch)
2021-04-01 19:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27873: Improve message consistency: checkout and patron detail pages (41.49 KB, patch)
2021-04-05 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27873: Improve message consistency: checkout and patron detail pages (41.21 KB, patch)
2021-04-28 10:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27873 - Screenshots of checkout and detail page (190.70 KB, application/pdf)
2021-05-17 12:03 UTC, David Nind
Details
Bug 27873: Improve message consistency: checkout and patron detail pages (41.23 KB, patch)
2021-05-24 10:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27873: Improve message consistency: checkout and patron detail pages (46.24 KB, patch)
2021-05-24 10:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27873: Improve message consistency: checkout and patron detail pages (46.29 KB, patch)
2021-05-25 22:20 UTC, David Nind
Details | Diff | Splinter Review
Bug 27873: Improve message consistency: checkout and patron detail pages (46.35 KB, patch)
2021-07-03 21:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2021-03-04 21:30:08 UTC
On the check out screen (circulation.pl) info about the patron’s account displays in the following order: expiration, restrictions, charges, notes, messages.  But on the patron details screen (moremember.pl) the info displays in a different order: charges, messages, notes, restrictions, expiration.  For consistency it seems like the info should display in the same order on both screens.  Additionally it would help when training new staff members and when working a busy information desk to be able to rely on finding the information in the same place on both screens.  

Our Library prefers the sort order that displays on the check out screen because it puts the expiration date, restrictions and then charges at the top of the screen so that staff can quickly see the status of the account and handle them.
Comment 1 Barbara Johnson 2021-03-04 21:30:46 UTC
Created attachment 117767 [details]
Check out screen display
Comment 2 Barbara Johnson 2021-03-04 21:31:09 UTC
Created attachment 117768 [details]
Patron details screen display
Comment 3 George Williams (NEKLS) 2021-03-18 17:08:56 UTC
I agree.  Some consistency would be nice here.
Comment 4 Owen Leonard 2021-04-01 19:21:54 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2021-04-01 19:32:07 UTC Comment hidden (obsolete)
Comment 6 Caroline Cyr La Rose 2021-04-02 15:57:35 UTC
So I added a restriction to my user, with the patch in the Details tab, there is no restriction, but in the Checkout tab, there is a restriction.

To test :
1) WITHOUT the patch, add a manual restriction to a user.
2) In the details page, click on the Restrictions tab, the tab should say 1 Restriction and the restriction should appear 
3) In the checkout page, click on the Restrictions tab, the tab should say 1 Restriction and the restriction should appear 
4) Apply the patch and rebuild yarn + Ctrl+F5
5) In the details page, click on the Restrictions tab, the tab should only says "Restrictions" (no number) and the restriction is not in the tab
6) In the checkout page, click on the Restrictions tab, the tab should only says "Restrictions" (no number) but the restriction is in the tab
Comment 7 Séverine Queune 2021-04-02 17:07:24 UTC
I also noticed an issue with the age alert, which appears only if there is another alert.
I wasn't able to test holds message, feature was broken on sandbox.
Comment 8 Owen Leonard 2021-04-05 15:40:52 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2021-04-28 10:45:48 UTC Comment hidden (obsolete)
Comment 10 David Nind 2021-05-17 12:03:23 UTC
Created attachment 121040 [details]
Bug 27873 - Screenshots of checkout and detail page

I've managed to generate most of the messages and notes on the checkout and details page, and they appear in the same place except for charges.

Charges appeared twice on the check out page - under Attention and in its own area at the bottom - see the screenshots.

If that is what is expected I can sign off.
Comment 11 Owen Leonard 2021-05-18 10:43:05 UTC
(In reply to David Nind from comment #10)
> Charges appeared twice on the check out page - under Attention and in its
> own area at the bottom - see the screenshots.

This is wrong, so I'll follow up.
Comment 12 Owen Leonard 2021-05-24 10:21:34 UTC Comment hidden (obsolete)
Comment 13 Owen Leonard 2021-05-24 10:26:27 UTC
Created attachment 121319 [details] [review]
Bug 27873: Improve message consistency: checkout and patron detail pages

This patch creates a new include for showing circulation and
patron-related messages on both the checkout page and the patron detail
page. This allows the two pages to be consistent with each other.

The patch also makes some minor CSS adjustments, including the addition
of an SVG to replace an old GIF, arrow-bullet.gif.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- View both the checkout and patron details page for patrons in the
  staff interface, confirming that the information is displayed in the
  same way, including:

  - Pending modifications
  - Pending expiration
  - Expired
  - Address in doubt
  - Card lost
  - Restricted (indefinite and with expiration)
  - Outstanding overdues
  - Outstanding return claims
  - Patron age incorrect for their category
  - Outstanding charges
  - Account credit
  - Waiting holds (at logged-in library or other library)
  - Circulation note (from borrowers.borrowernotes)
  - Messages (added at logged-in library or other library)

EDIT: Fixed merge error.
Comment 14 David Nind 2021-05-25 22:20:51 UTC
Created attachment 121398 [details] [review]
Bug 27873: Improve message consistency: checkout and patron detail pages

This patch creates a new include for showing circulation and
patron-related messages on both the checkout page and the patron detail
page. This allows the two pages to be consistent with each other.

The patch also makes some minor CSS adjustments, including the addition
of an SVG to replace an old GIF, arrow-bullet.gif.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- View both the checkout and patron details page for patrons in the
  staff interface, confirming that the information is displayed in the
  same way, including:

  - Pending modifications
  - Pending expiration
  - Expired
  - Address in doubt
  - Card lost
  - Restricted (indefinite and with expiration)
  - Outstanding overdues
  - Outstanding return claims
  - Patron age incorrect for their category
  - Outstanding charges
  - Account credit
  - Waiting holds (at logged-in library or other library)
  - Circulation note (from borrowers.borrowernotes)
  - Messages (added at logged-in library or other library)

EDIT: Fixed merge error.

Signed-off-by: David Nind <david@davidnind.com>
Comment 15 Katrin Fischer 2021-07-03 21:36:11 UTC
I really like this change, it looks much cleaner than before.
Comment 16 Katrin Fischer 2021-07-03 21:37:36 UTC
Created attachment 122580 [details] [review]
Bug 27873: Improve message consistency: checkout and patron detail pages

This patch creates a new include for showing circulation and
patron-related messages on both the checkout page and the patron detail
page. This allows the two pages to be consistent with each other.

The patch also makes some minor CSS adjustments, including the addition
of an SVG to replace an old GIF, arrow-bullet.gif.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- View both the checkout and patron details page for patrons in the
  staff interface, confirming that the information is displayed in the
  same way, including:

  - Pending modifications
  - Pending expiration
  - Expired
  - Address in doubt
  - Card lost
  - Restricted (indefinite and with expiration)
  - Outstanding overdues
  - Outstanding return claims
  - Patron age incorrect for their category
  - Outstanding charges
  - Account credit
  - Waiting holds (at logged-in library or other library)
  - Circulation note (from borrowers.borrowernotes)
  - Messages (added at logged-in library or other library)

EDIT: Fixed merge error.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Jonathan Druart 2021-07-12 13:48:51 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 18 Kyle M Hall 2021-07-16 13:37:16 UTC
Not backported for 21.05